package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.RechargeRankingDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameRechargeRankingVO;
import com.zanxiang.game.data.serve.pojo.vo.PlayerRechargeRankingVO;
import com.zanxiang.game.data.serve.service.IRankingService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "排行榜")
@RestController
@RequestMapping("/ranking")
public class RankingController {
    @Autowired
    private IRankingService rankingService;

    @ApiOperation(value = "游戏充值排行榜")
    @PreAuthorize(permissionKey = "gameData:ranking:game")
    @PostMapping("/game")
    public ResultVO<Page<GameRechargeRankingVO>> gameRanking(@RequestBody RechargeRankingDTO dto) {
        return ResultVO.ok(rankingService.gameRanking(dto));
    }

    @ApiOperation(value = "玩家充值排行榜")
//    @PreAuthorize(permissionKey = "gameData:ranking:player")
    @PostMapping("/player")
    public ResultVO<Page<PlayerRechargeRankingVO>> playerRanking(@RequestBody RechargeRankingDTO dto) {
        return ResultVO.ok(rankingService.playerRanking(dto));
    }
}
